Skip to main content

rca-qa.api.lifeishard.ro (1.4)

Download OpenAPI specification:Download

RCA Api documentation

Changelog

Authentication

Authenticate

Authenticate an account by account/password

query Parameters
account
required
string

Account

password
required
string

Password

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": {
    }
}

Deautenticate

Deautenticate an existing and valid auth token

Responses

Renew token

Renew an authentication token

header Parameters
Token
required
string
Example: Refresh [refresh_token]

The Refresh token received from the POST /auth or PATCH /auth endpoint's response field name refresh_token.

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": {
    }
}

Products

Get a quote

A quote is obtained from the insurer for the product specified in the request.

header Parameters
Token
required
string
Request Body schema: application/json
required

JSON format body

required
object
required
object

Responses

Request samples

Content type
application/json
{
  • "provider": {
    },
  • "product": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Download offer

Download offer in PDF format

path Parameters
id
required
integer

Offer identification number

query Parameters
withDirectCompensation
integer

Download offer with or without direct compensation included. * Default value is without direct compensation.

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Policy PDF file

Retrieve policy PDF file

query Parameters
series
required
string
Example: series=XX/12/12

Policy series

number
required
string
Example: number=1234567890

Policy number

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Transform the offer into a policy.

The offer is transformed into a policy based on the offer identifier.

header Parameters
Token
required
string
Request Body schema: application/json
required

JSON formatted body

offerId
required
integer
includeDirectCompensation
boolean
required
object (Payment)
GeneraliRCATransformOfferRequest (object)

If the product does not exist in the list, this field is ignored.

Responses

Request samples

Content type
application/json
{
  • "offerId": "23",
  • "includeDirectCompensation": "false",
  • "payment": {
    },
  • "additionalData": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Download policy

Download policy in PDF format

path Parameters
id
required
integer

Policy identification number

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Nomenclature

List of countries

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": [
    ]
}

List of countries

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": [
    ]
}

List of localities filtered by county code

path Parameters
county_code
required
integer

County code

header Parameters
Token
required
string

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": [
    ]
}

Vehicle

Get a car by license plate or VIN

query Parameters
licensePlate
string

The license plate of the car, required if vin is not provided

vin
string

The VIN of the car, required if licensePlate is not provided

header Parameters
Token
required
string

Authorization token

Responses

Response samples

Content type
application/json
{
  • "brand": "VOLVO",
  • "model": "C",
  • "commercialModel": "XC90",
  • "color": "NEGRU",
  • "fuelType": "diesel",
  • "vehicleType": "M1G",
  • "nationalVehicleType": "AUTOTURISM",
  • "vin": "string",
  • "licensePlate": "string",
  • "identification": "null",
  • "engineDisplacement": "2401",
  • "enginePower": "136",
  • "totalWeight": "2560",
  • "yearOfConstruction": "2005",
  • "seats": "5",
  • "seatsStanding": "null",
  • "firstRegistration": "2024-06-19",
  • "currentRegistration": "2024-06-19",
  • "endOfCurrentRegistration": "2024-06-19",
  • "registrationType": "recorded",
  • "updatedAt": "2024-06-19"
}

Company

Company

Get company details by tax id

path Parameters
taxId
required
string

The tax id of the company, required

header Parameters
Token
required
string

Authorization token

Responses

Response samples

Content type
application/json
{
  • "caenCode": "1234",
  • "businessName": "Company Example SRL",
  • "isLegalForm": "true",
  • "email": "example@gmail.com",
  • "mobileNumber": "1234",
  • "taxId": "1234",
  • "address": {
    }
}

ProductList

ProductList

Get a list of all products

header Parameters
Token
required
string

Authorization token

Responses

Response samples

Content type
application/json
[]